Bug 1289398 - [gtk3] [wayland] unable to scroll
Summary: [gtk3] [wayland] unable to scroll
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-08 02:03 UTC by Christian Stadelmann
Modified: 2015-12-14 10:20 UTC (History)
6 users (show)

Fixed In Version: libreoffice-5.0.3.2-12.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-14 10:20:25 UTC


Attachments (Terms of Use)

Description Christian Stadelmann 2015-12-08 02:03:38 UTC
Version-Release number of selected component (if applicable):
libreoffice 5.0.3.2-11.fc23

How reproducible:
always

Steps to Reproduce:
1. open some document big enough to allow scrolling
2. try to scroll using your scroll wheel

Actual results:
Scrolling is not possible at all. No visual feedback, scrollbar feels not present

Additional info:
Scrolling by dragging scroll bar was fixed somewhere between 5.0.0 and 5.0.3.2-11.
Scrolling by keyboard (arrow keys) has been working fine for quite some time.

Comment 1 Caolan McNamara 2015-12-08 16:20:19 UTC
Only the (implemented until now) smooth scrolling option seems available under wayland. Legacy scroll events are emitted under X

Comment 2 Fedora Update System 2015-12-11 09:33:16 UTC
libreoffice-5.0.3.2-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-73116e9d95

Comment 3 Fedora Update System 2015-12-12 03:23:21 UTC
libreoffice-5.0.3.2-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-73116e9d95

Comment 4 Fedora Update System 2015-12-14 10:20:18 UTC
libreoffice-5.0.3.2-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.